/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
/******/ 	// The require scope
/******/ 	var __webpack_require__ = {};
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/define property getters */
/******/ 	(() => {
/******/ 		// define getter functions for harmony exports
/******/ 		__webpack_require__.d = (exports, definition) => {
/******/ 			for(var key in definition) {
/******/ 				if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 					Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	(() => {
/******/ 		__webpack_require__.o = (obj, prop) => (Object.prototype.hasOwnProperty.call(obj, prop))
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	(() => {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = (exports) => {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	})();
/******/ 	
/************************************************************************/
var __webpack_exports__ = {};
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   __dangerousOptInToUnstableAPIsOnlyForCoreModules: () => (/* binding */ __dangerousOptInToUnstableAPIsOnlyForCoreModules)
/* harmony export */ });
/**
 * This file is a slightly modified version of the '@wordpress/private-apis' package.
 * We override the `wp-private-apis` script to allow the use of private APIs in Supablox.
 *
 * WARNING: Use of private core APIs should be limited to absolutely necessary cases only.
 * These APIs might be unstable and may change without notice, potentially breaking our code.
 *
 * @see https://github.com/WordPress/gutenberg/tree/trunk/packages/private-apis
 */

const CORE_MODULES_USING_PRIVATE_APIS = ['supablox/admin', 'supablox/editor', 'supablox/editor/edit-site', 'supablox/wp-block-editor', 'supablox/wp-components', 'supablox/wp-plugins'];
const registeredPrivateApis = [];
const lockedData = new WeakMap();
const __private = Symbol('Private API ID');
function __dangerousOptInToUnstableAPIsOnlyForCoreModules(_, moduleName) {
  if (!moduleName.startsWith('@wordpress/') && !CORE_MODULES_USING_PRIVATE_APIS.includes(moduleName)) {
    throw new Error(`You tried to opt-in to unstable APIs as module "${moduleName}".`);
  }
  registeredPrivateApis.push(moduleName);
  return {
    lock,
    unlock
  };
}
function lock(object, privateData) {
  if (!object) {
    throw new Error('Cannot lock an undefined object.');
  }
  if (!(__private in object)) {
    object[__private] = {};
  }
  lockedData.set(object[__private], privateData);
}
function unlock(object) {
  if (!object) {
    throw new Error('Cannot unlock an undefined object.');
  }
  if (!(__private in object)) {
    throw new Error('Cannot unlock an object that was not locked before. ');
  }
  return lockedData.get(object[__private]);
}
(window.wp = window.wp || {}).privateApis = __webpack_exports__;
/******/ })()
;