<?php

namespace Supablox;

add_action( 'enqueue_block_editor_assets', __NAMESPACE__ . '\enqueue_block_editor_admin_assets' );

function enqueue_block_editor_admin_assets() {
	if ( ! is_editor() ) {
		wp_enqueue_script( 'supablox/block-editor' );
		wp_enqueue_style( 'supablox/block-editor' );

		$data = [
			'editorUrl' => get_editor_url(),
			'postTypes' => get_post_types_by_support( 'supablox' ),
		];

		wp_add_inline_script(
			'supablox/block-editor',
			sprintf( 'var supabloxBlockEditorData = %s', wp_json_encode( $data ) ),
			'before'
		);
	}
}
