<?php

namespace Supablox;

add_filter( 'get_the_generator_html', __NAMESPACE__ . '\get_the_generator', 11, 2 );
add_filter( 'get_the_generator_xhtml', __NAMESPACE__ . '\get_the_generator', 11, 2 );

function get_the_generator( string $gen, string $type ) {
	switch ( $type ) {
		case 'html':
			return "$gen\n" . '<meta name="generator" content="Supablox ' . VERSION . '">';
		case 'xhtml':
			return "$gen\n" . '<meta name="generator" content="Supablox ' . VERSION . '" />';
	}
	return $gen;
}
